import { BaseAnimator } from './BaseAnimator.js';

export class FadeInSlideLeftAnimator extends BaseAnimator {
  constructor(
    elements,
    delay,
    transitionDuration,
    translationStart = '40px 0px'
  ) {
    super(elements, delay, transitionDuration, {
      setInitialProperties: (element) => {
        element.style.setProperty('opacity', 0);
        element.style.setProperty('translate', translationStart);
      },
      setAnimatedProperties: (element) => {
        element.style.setProperty('opacity', 1);
        element.style.setProperty('translate', '0px 0px');
      }
    });
  }
}
